Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: unzip
# END SourceDeps(oneline)
%define oldname python-mwlib-docbook
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global module_name mwlib.docbook

Name:           python-module-mwlib-docbook
Version:        0.1.0
Release:        alt1_16
Summary:        DocBook writer for mwlib

License:        BSD
URL:            https://github.com/pediapress/%{module_name}
Source0:        http://pypi.python.org/packages/source/m/%{module_name}/%{module_name}-%{version}.zip

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-pkg_resources python-module-setuptools

%global _description\
mwlib provides a library for parsing MediaWiki articles and converting them to\
different output formats. This package contains the necessary code to output\
articles in DocBook format.\

Source44: import.info


%description 

%_description
%prep
%setup -n %{oldname}-%{version} -qn %{module_name}-%{version}

sed -i '/^#!/d' mwlib/*.py
chmod a-x mwlib/*.py


%build
%python_build


%install
%python_install

 
%files -n python-module-mwlib-docbook
%{python_sitelibdir_noarch}/%{module_name}-*
%{python_sitelibdir_noarch}/mwlib/*


%changelog
* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1_16
- update to new release by fcimport

* Fri May 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1_15
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1_14
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1_13
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1_11
- update to new release by fcimport

* Fri Sep 30 2016 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1_10
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1_9
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1_8
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1_7
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1_6
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1_5
- update to new release by fcimport

* Mon Dec 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1_4
- initial fc import

